List Secure Compute networks
GET
https://api.vercel.com/v1/connect/networksAllows to list Secure Compute networks.
https://api.vercel.com/v1/connect/networks
const response = await fetch('https://api.vercel.com/v1/connect/networks?includeHostedZones=true&includePeeringConnections=true&includeProjects=true&search=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "awsAccountId": "example_id", "awsAvailabilityZoneIds": [], "awsRegion": "string", "cidr": "example_id", "createdAt": "123", "egressIpAddresses": [], "hostedZones": { "count": "123" }, "id": "icfg_1234567890", "name": "Example Name", "peeringConnections": { "count": "123" }, "projects": { "count": "123", "ids": [] }, "region": "string", "status": "create_in_progress", "teamId": "example_id", "vpcId": "example_id" }]AuthorizationbearerToken
Default authentication mechanism